EarPluginConvention (Gradle API 2.10)
Date: 2015-12-21

Package: org.gradle.plugins.ear

## [Groovy] Class EarPluginConvention

- org.gradle.plugins.ear.EarPluginConvention

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `appDirName` The name of the application directory, relative to the project directory.
    `DeploymentDescriptor` | `deploymentDescriptor` A custom deployment descriptor configuration.
    `String` | `libDirName` The name of the library directory in the EAR file.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EarPluginConvention (org.gradle.internal.reflect.Instantiator instantiator)`
    `EarPluginConvention (org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.internal.reflect.Instantiator instantiator)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `appDirName(String appDirName)` Allows changing the application directory.
    `EarPluginConvention` | `deploymentDescriptor(groovy.lang.Closure configureClosure)` Configures the deployment descriptor for this EAR archive.
    `void` | `libDirName(String libDirName)` Allows changing the library directory in the EAR file.
    `void` | `setAppDirName(String appDirName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### String appDirName

      The name of the application directory, relative to the project directory. Default is "src/main/application".

    - #### DeploymentDescriptor deploymentDescriptor

      A custom deployment descriptor configuration. Default is an "application.xml" with sensible defaults.

    - #### String libDirName

      The name of the library directory in the EAR file. Default is "lib".

  - ### Constructor Detail

    - #### @javax.inject.Inject EarPluginConvention(org.gradle.internal.reflect.Instantiator instantiator)

    - #### @javax.inject.Inject EarPluginConvention(org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.internal.reflect.Instantiator instantiator)

  - ### Method Detail

    - #### void appDirName(String appDirName)

      Allows changing the application directory. Default is "src/main/application".

      Parameters:
        appDirName

    - #### EarPluginConvention deploymentDescriptor(groovy.lang.Closure configureClosure)

      Configures the deployment descriptor for this EAR archive.

      The given closure is executed to configure the deployment descriptor. The DeploymentDescriptor is passed to the closure as its delegate.

      Parameters:
        `configureClosure` - The closure.
      Returns:
        This.

    - #### void libDirName(String libDirName)

      Allows changing the library directory in the EAR file. Default is "lib".

    - #### void setAppDirName(String appDirName)